#
# uxyz5.rb
#
# $Id: uxyz5.rb,v 1.1 2000/11/21 03:15:48 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NX1 = 21
NX2 = 5
NY1 = 0
NY2 = 18

rx1 = NumArray.new(Float, NX1)
rx1.span(-50.0, 5.0)

rx2 = NumArray.new(Float, NX2)
rx2.span(-40.0, 20.0)

cx2 = ['40S ','20S ','EQ  ','20N ','40N ']

ry2 = NumArray[1000.0, 850.0, 700.0, 500.0, 400.0, 300.0, 250.0, 200.0,
               150.0, 100.0, 70.0, 50.0, 30.0, 10.0, 5.0, 2.0, 1.0, 0.4]

cy2 = ['1000','    ','    ','500 ','    ','    ','    ','200 ','    ',
       '100 ','    ','50  ','30  ','10  ','5   ','2   ','1   ','.4  ']

dummy = []

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(-50.0, 50.0, 1.0e3, 0.4)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(2)
grstrf

uxaxlb('B', rx1, NX1, rx2, cx2, 4, NX2)
uxaxlb('T', rx1, NX1, rx2, cx2, 4, NX2)
uxsttl('B', 'LATITUDE', 0.0)

uyaxlb('L', dummy, NY1, ry2, cy2, 4, NY2)
uyaxlb('R', dummy, NY1, ry2, cy2, 4, NY2)
uysttl('L', 'PRESSURE (hPa)', 0.0)

uxmttl('T', 'UXAXLB/UYAXLB', 0.0)

grcls

